﻿using KTour.Interfaces;
using KTour.Models;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace KTour.Design
{
#if DISABLE_SAMPLE_DATA
    internal class DesignData { }
#else
    public static class DesignData
    {
        public static ObservableCollection<IBaseModel> BaseCollection()
        {
            var collection = new ObservableCollection<IBaseModel> 
                {
                    new BaseModel{ AreaCode = "1", ContentId = "1753257", CreateTime = "20121116113934", FirstImage = new Uri("http://tong.visitkorea.or.kr/cms/resource/60/1753260_image2_1.jpg"), FirstImage2 = new Uri("http://tong.visitkorea.or.kr/cms/resource/60/1753260_image2_1.jpg"), ModifiedTime = "20130208150458", SiGunGuCode = "23", Title = "스와로브스키, 그 빛나는 환상 전"},
                    new BaseModel{ AreaCode = "1", ContentId = "1794980", CreateTime = "20130208144443", FirstImage = new Uri("http://tong.visitkorea.or.kr/cms/resource/77/1794977_image2_1.png"), FirstImage2 = new Uri("http://tong.visitkorea.or.kr/cms/resource/77/1794977_image2_1.png"), ModifiedTime = "20130208144443", SiGunGuCode = "23", Title = "트루웨스트(True West) 2013"},
                    new BaseModel{ AreaCode = "31", ContentId = "141799", CreateTime = "20070424000000", FirstImage = new Uri("http://tong.visitkorea.or.kr/cms/resource/83/1794883_image2_1.png"), FirstImage2 = new Uri("http://tong.visitkorea.or.kr/cms/resource/83/1794883_image2_1.png"), ModifiedTime = "20130208142052", SiGunGuCode = "2", Title = "고양국제꽃박람회 2013"},
                    new BaseModel{ AreaCode = "1", ContentId = "705917", CreateTime = "20090313094748", FirstImage = new Uri("http://tong.visitkorea.or.kr/cms/resource/41/1424941_image2_1.png"), FirstImage2 = new Uri("http://tong.visitkorea.or.kr/cms/resource/41/1424941_image2_1.png"), ModifiedTime = "20130208135830", SiGunGuCode = "24", Title = "뮤지컬 삼총사"},
                    new BaseModel{ AreaCode = "34", ContentId = "1794639", CreateTime = "20130208101100", FirstImage = new Uri("http://tong.visitkorea.or.kr/cms/resource/78/1129078_image2_1.jpg"), FirstImage2 = new Uri("http://tong.visitkorea.or.kr/cms/resource/78/1129078_image3_1.jpg"), ModifiedTime = "20130208101100", SiGunGuCode = "1", Title = "국립공주박물관 설날·대보름맞이 전통문화한마당 2013"},
                    new BaseModel{ AreaCode = "1", ContentId = "1794596", CreateTime = "20130207170915", FirstImage = new Uri("http://tong.visitkorea.or.kr/cms/resource/98/1794598_image2_1.png"), FirstImage2 = new Uri("http://tong.visitkorea.or.kr/cms/resource/98/1794598_image2_1.png"), ModifiedTime = "20130207174907", SiGunGuCode = "1", Title = "매화, 피어 천하가 봄이로다전 (미술로 보는 인문학 02)"},
                    new BaseModel{ AreaCode = "35", ContentId = "522644", CreateTime = "20080319094831", FirstImage = new Uri("http://tong.visitkorea.or.kr/cms/resource/23/1523423_image2_1.jpg"), FirstImage2 = new Uri("http://tong.visitkorea.or.kr/cms/resource/23/1523423_image3_1.jpg"), ModifiedTime = "20130207143551", SiGunGuCode = "18", Title = "울진대게와붉은대게축제 2013"},
                    new BaseModel{ AreaCode = "32", ContentId = "292938", CreateTime = "20060118151456", FirstImage = new Uri("http://tong.visitkorea.or.kr/cms/resource/11/507311_image2_1.jpg"), FirstImage2 = new Uri("http://tong.visitkorea.or.kr/cms/resource/11/507311_image3_1.jpg"), ModifiedTime = "20130207135647", SiGunGuCode = "1", Title = "강릉 망월제 2013"},
                    new BaseModel{ AreaCode = "1", ContentId = "1426106", CreateTime = "20111103101651", FirstImage = new Uri("http://tong.visitkorea.or.kr/cms/resource/85/762185_image2_1.jpg"), FirstImage2 = new Uri("http://tong.visitkorea.or.kr/cms/resource/85/762185_image2_1.jpg"), ModifiedTime = "20130206184613", SiGunGuCode = "1", Title = "서울코믹월드 2013"},
                };
            return collection;
        }

        public static ObservableCollection<IResultBaseModel> ResultBaseCollection()
        {
            var collection = new ObservableCollection<IResultBaseModel>
                {
                    new ResultBaseModel{ Addr1 = "서울특별시 종로구 자하문로4길 21", Addr2 = "(통의동)", Cat1 = "A02", Cat2 = "A0208", Cat3 = "A02080500", ContentTypeId = "15", MapX = "126.97332395865844", MapY = "37.57755565056476", ReadCount = "1992", AreaCode = "1", ContentId = "1753257", CreateTime = "20121116113934", FirstImage = new Uri("http://tong.visitkorea.or.kr/cms/resource/60/1753260_image2_1.jpg"), FirstImage2 = new Uri("http://tong.visitkorea.or.kr/cms/resource/60/1753260_image2_1.jpg"), ModifiedTime = "20130208150458", SiGunGuCode = "23", Title = "스와로브스키, 그 빛나는 환상 전"},
                    new ResultBaseModel{ Addr1 = "서울특별시 종로구 대학로12길 69", Addr2 = "(동숭동)", Cat1 = "A02", Cat2 = "A0208", Cat3 = "A02080200", ContentTypeId = "15", MapX = "127.00393495940962", MapY = "37.581008576165914", ReadCount = "", AreaCode = "1", ContentId = "1794980", CreateTime = "20130208144443", FirstImage = new Uri("http://tong.visitkorea.or.kr/cms/resource/77/1794977_image2_1.png"), FirstImage2 = new Uri("http://tong.visitkorea.or.kr/cms/resource/77/1794977_image2_1.png"), ModifiedTime = "20130208144443", SiGunGuCode = "23", Title = "트루웨스트(True West) 2013"},
                    new ResultBaseModel{ Addr1 = "경기도 고양시 일산동구 호수로 595", Addr2 = "(장항동)", Cat1 = "A02", Cat2 = "A0207", Cat3 = "A02070200", ContentTypeId = "15", MapX = "126.76868492025082", MapY = "37.6539736577635", MLevel = "4", ReadCount = "4591", AreaCode = "31", ContentId = "141799", CreateTime = "20070424000000", FirstImage = new Uri("http://tong.visitkorea.or.kr/cms/resource/83/1794883_image2_1.png"), FirstImage2 = new Uri("http://tong.visitkorea.or.kr/cms/resource/83/1794883_image2_1.png"), ModifiedTime = "20130208142052", SiGunGuCode = "2", Title = "고양국제꽃박람회 2013"},
                    new ResultBaseModel{ Addr1 = "서울특별시 중구 퇴계로 387", Addr2 = "(흥인동)", Cat1 = "A02", Cat2 = "A0208", Cat3 = "A02080300", ContentTypeId = "15", MapX = "127.01477606606896", MapY = "37.56592996861562", ReadCount = "2385", AreaCode = "1", ContentId = "705917", CreateTime = "20090313094748", FirstImage = new Uri("http://tong.visitkorea.or.kr/cms/resource/41/1424941_image2_1.png"), FirstImage2 = new Uri("http://tong.visitkorea.or.kr/cms/resource/41/1424941_image2_1.png"), ModifiedTime = "20130208135830", SiGunGuCode = "24", Title = "뮤지컬 삼총사"},
                    new ResultBaseModel{ Addr1 = "충청남도 공주시 관광단지길 34", Addr2 = "(웅진동)", Cat1 = "A02", Cat2 = "A0208", Cat3 = "A02081300", ContentTypeId = "15", MapX = "127.11146164316759", MapY = "36.465592045248705", AreaCode = "34", ContentId = "1794639", CreateTime = "20130208101100", FirstImage = new Uri("http://tong.visitkorea.or.kr/cms/resource/78/1129078_image2_1.jpg"), FirstImage2 = new Uri("http://tong.visitkorea.or.kr/cms/resource/78/1129078_image3_1.jpg"), ModifiedTime = "20130208101100", SiGunGuCode = "1", Title = "국립공주박물관 설날·대보름맞이 전통문화한마당 2013"},
                    new ResultBaseModel{ Addr1 = "서울특별시 강남구 테헤란로 440", Addr2 = "&lt;br&gt;(대치동, 포스코빌딩)", Cat1 = "A02", Cat2 = "A0208", Cat3 = "A02080500", ContentTypeId = "15", MapX = "127.05587124389547", MapY = "37.506032108739205", ReadCount = "5", AreaCode = "1", ContentId = "1794596", CreateTime = "20130207170915", FirstImage = new Uri("http://tong.visitkorea.or.kr/cms/resource/98/1794598_image2_1.png"), FirstImage2 = new Uri("http://tong.visitkorea.or.kr/cms/resource/98/1794598_image2_1.png"), ModifiedTime = "20130207174907", SiGunGuCode = "1", Title = "매화, 피어 천하가 봄이로다전 (미술로 보는 인문학 02)"},
                    new ResultBaseModel{ Addr1 = "경북 울진군 후포면 후포1리", Cat1 = "A02", Cat2 = "A0207", Cat3 = "A02070200", ContentTypeId = "15", MapX = "129.45727989405984", MapY = "36.679552690808066", MLevel = "7", ReadCount = "7550", AreaCode = "35", ContentId = "522644", CreateTime = "20080319094831", FirstImage = new Uri("http://tong.visitkorea.or.kr/cms/resource/23/1523423_image2_1.jpg"), FirstImage2 = new Uri("http://tong.visitkorea.or.kr/cms/resource/23/1523423_image3_1.jpg"), ModifiedTime = "20130207143551", SiGunGuCode = "18", Title = "울진대게와붉은대게축제 2013"},
                    new ResultBaseModel{ Addr1 = "강원 강릉시 성내동 남대천", Cat1 = "A02", Cat2 = "A0207", Cat3 = "A02070200", ContentTypeId = "15", MapX = "128.89634183217723", MapY = "37.74933006094517", MLevel = "4", ReadCount = "1758", AreaCode = "32", ContentId = "292938", CreateTime = "20060118151456", FirstImage = new Uri("http://tong.visitkorea.or.kr/cms/resource/11/507311_image2_1.jpg"), FirstImage2 = new Uri("http://tong.visitkorea.or.kr/cms/resource/11/507311_image3_1.jpg"), ModifiedTime = "20130207135647", SiGunGuCode = "1", Title = "강릉 망월제 2013"},
                    new ResultBaseModel{ Addr1 = "서울특별시 서초구 강남대로 27", Addr2 = "(양재동)", Cat1 = "A02", Cat2 = "A0207", Cat3 = "A02070200", ContentTypeId = "15", MapX = "127.07135067627506", MapY = "37.4959502239136", MLevel = "4", ReadCount = "2203", AreaCode = "1", ContentId = "1426106", CreateTime = "20111103101651", FirstImage = new Uri("http://tong.visitkorea.or.kr/cms/resource/85/762185_image2_1.jpg"), FirstImage2 = new Uri("http://tong.visitkorea.or.kr/cms/resource/85/762185_image2_1.jpg"), ModifiedTime = "20130206184613", SiGunGuCode = "1", Title = "서울코믹월드 2013"},
                };
            return collection;
        }

        public static ObservableCollection<FestivalModel> FestivalCollection()
        {
            var baseCollection = ResultBaseCollection();
            var collection = new ObservableCollection<FestivalModel>();
            foreach (var item in baseCollection)
            {
                collection.Add( new FestivalModel 
                    {
                        EventStartDate = "20130216",
                        EventEndDate = "20130217",
                        Addr1 = item.Addr1,
                        Addr2 = item.Addr2,
                        AreaCode = item.AreaCode,
                        Cat1 = item.Cat1,
                        Cat2 = item.Cat2,
                        Cat3 = item.Cat3,
                        ContentId = item.ContentId,
                        ContentTypeId = item.ContentTypeId,
                        CreateTime = item.CreateTime,
                        FirstImage = item.FirstImage,
                        FirstImage2 = item.FirstImage2,
                        MapX = item.MapX,
                        MapY = item.MapY,
                        MLevel = item.MLevel,
                        ModifiedTime = item.ModifiedTime,
                        ReadCount = item.ReadCount,
                        SiGunGuCode = item.SiGunGuCode,
                        Title = item.Title,
                        BookTour = item.BookTour,
                        Tel = item.Tel
                    });

            }
            return collection;
        }
    }
#endif
}
