﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace KTour.Models
{
    /// <summary>
    /// 키워드 정보 검색 결과, 지역기반 정보 검색 결과
    /// </summary>
    public class ResultBaseModel : KTour.Common.BindableBase, KTour.Interfaces.IResultBaseModel
    {
        /// <summary>
        /// 주소
        /// </summary>
        public string Addr1 { get; set; }
        /// <summary>
        /// 상세주소
        /// </summary>
        public string Addr2 { get; set; }
        /// <summary>
        /// 지역코드
        /// </summary>
        public string AreaCode { get; set; }
        /// <summary>
        /// 대분류
        /// </summary>
        public string Cat1 { get; set; }
        /// <summary>
        /// 중분류
        /// </summary>
        public string Cat2 { get; set; }
        /// <summary>
        /// 소분류
        /// </summary>
        public string Cat3 { get; set; }
        /// <summary>
        /// 콘텐츠ID
        /// </summary>
        public string ContentId { get; set; }
        /// <summary>
        /// 콘텐츠타입ID
        /// </summary>
        public string ContentTypeId { get; set; }
        /// <summary>
        /// 등록일시
        /// </summary>
        public string CreateTime { get; set; }
        /// <summary>
        /// 대표이미지(원본)
        /// </summary>
        public Uri FirstImage { get; set; }
        /// <summary>
        /// 대표이미지(썸네일)
        /// </summary>
        public Uri FirstImage2 { get; set; }
        /// <summary>
        /// 수정일시
        /// </summary>
        public string ModifiedTime { get; set; }
        /// <summary>
        /// 조회수
        /// </summary>
        public string ReadCount { get; set; }
        /// <summary>
        /// 시군구코드
        /// </summary>
        public string SiGunGuCode { get; set; }
        /// <summary>
        /// 제목
        /// </summary>
        public string Title { get; set; }
        /// <summary>
        /// X좌표(경도)
        /// </summary>
        public string MapX { get; set; }
        /// <summary>
        /// Y좌표(위도)
        /// </summary>
        public string MapY { get; set; }
        /// <summary>
        /// 맵척도
        /// </summary>
        public string MLevel { get; set; }
        /// <summary>
        /// 교과서속 여행지 여부 1:사용, 0:미사용
        /// </summary>
        public string BookTour { get; set; }
        /// <summary>
        /// 전화번호
        /// </summary>
        public string Tel { get; set; }

        public ResultBaseModel()
        {
            MLevel = "7";
            ReadCount = "";
        }
    }
}
