﻿using KTour.Common;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI.Xaml.Controls;

namespace KTour.ViewModels
{
    public class ExtendedSplashViewModel : KTour.Common.BindableBase
    {
        internal Frame rootFrame;

        private bool isBusy;
        /// <summary>
        /// 프로그래스바 보이기
        /// </summary>
        public bool IsBusy
        {
            get { return isBusy; }
            set
            {
                isBusy = value;
                OnPropertyChanged();
            }
        }

        /// <summary>
        /// 모든 데이터를 로드하고 네비게이션할 화면
        /// </summary>
        public string NavigateViewName { get; set; }

        /// <summary>
        /// SearchResults화면으로 이동할때는 쿼리 스트링을 가지고 가야함
        /// </summary>
        public string QueryString { get; set; }

        /// <summary>
        /// 생성자
        /// </summary>
        public ExtendedSplashViewModel()
        {
            IsBusy = false;
        }

        public async void Init(bool loadState)
        {
            IsBusy = true;
            // Create a Frame to act as the navigation context 
            rootFrame = new Frame();
            SuspensionManager.RegisterFrame(rootFrame, "AppFrame");

            if (loadState)
            {
            }

            //앱 내부 데이터 초기화 시작
            var locator = App.Current.Resources["Locator"] as ViewModelLocator;

            //데이터베이스 초기화
            await locator.DatabaseVM.Initialise();

            //메인 스래드 지정
            Functions.BaseContext = System.Threading.SynchronizationContext.Current;

            IsBusy = false;
            //앱 내부 데이터 초기화 종료

            //MainPage로가거나 SearchPage로 가야함
            //var result = rootFrame.Navigate(typeof(KTour.Views.MainView));
            var result = rootFrame.Navigate(typeof(KTour.Views.FestivalView));
            if (result == true && NavigateViewName == "SearchResultView")
            {
                result = rootFrame.Navigate(typeof(KTour.Views.SearchResultView), QueryString);
            }
            Windows.UI.Xaml.Window.Current.Content = rootFrame;
        }
    }
}
